Subject: Re: bug#375: forward-word cmd finds beginning of next word

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jun 2008 19:52:36 +0300

> Date: Sat, 07 Jun 2008 15:40:12 +0100
> From: "Gunnar P. Vestergaard" <[email-masked]>
> Cc: 
> 
> I have a feature request for GNU Emacs: In Emacs, when using the command 
> forward-word, with the keyboard shortcut M-F, I understand that Emacs 
> places point just after the end of the current word, pointing at the 
> beginning of a non-letter sequence. And the command backward-word, with 
> the keyboard shortcut M-B, places point at the beginning of the current 
> word, or if it is already at the beginning of a word, it places point at 
> the beginning of the previous word.
> 
> I would like if those two commands, forward-word and backward-word, had 
> identical results, i.e. so that the command forward-word would instead 
> place point at the beginning of the next word, just as the command 
> backward-word places the point at the beginning of a word.

You _might_ succeed asking for this as an optional feature.  Asking
for changing the default behavior is a non-starter, since many users
and most developers (including myself) consider the current behavior a
feature, and will never trade it for anything like what you describe.

Btw, you should be able to write your own replacements for these
commands that behave like you want by using search-forward-regexp with
a suitable regexp.